#ifndef _PARTS_HPP_
#define _PARTS_HPP_

#include "syselmts.hpp"
#include "pins.hpp"

class Part : public SystemElementContainer<Pin>
{
public:
    Part(std::string name);
};

class Parts : public SystemElementContainer<Part>
{
public:
    Parts(void);
    Parts(std::vector<Part> parts);
};

#endif // _PARTS_HPP_